All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Set
Image Set Operations

Functions for setting all pixels within the ROI to a specific value. More...

## Functions

NppStatus | nppiSet_8s_C1R_Ctx (const Npp8s nValue, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit image set. More...
NppStatus | nppiSet_8s_C1R (const Npp8s nValue, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8s_C2R_Ctx (const Npp8s aValue[2], Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit two-channel image set. More...
NppStatus | nppiSet_8s_C2R (const Npp8s aValue[2], Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8s_C3R_Ctx (const Npp8s aValue[3], Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit three-channel image set. More...
NppStatus | nppiSet_8s_C3R (const Npp8s aValue[3], Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8s_C4R_Ctx (const Npp8s aValue[4], Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit four-channel image set. More...
NppStatus | nppiSet_8s_C4R (const Npp8s aValue[4], Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8s_AC4R_Ctx (const Npp8s aValue[3], Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit four-channel image set ignoring alpha channel. More...
NppStatus | nppiSet_8s_AC4R (const Npp8s aValue[3], Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8u_C1R_Ctx (const Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_C1R (const Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8u_C2R_Ctx (const Npp8u aValue[2], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_C2R (const Npp8u aValue[2], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8u_C3R_Ctx (const Npp8u aValue[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_C3R (const Npp8u aValue[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8u_C4R_Ctx (const Npp8u aValue[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_C4R (const Npp8u aValue[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8u_AC4R_Ctx (const Npp8u aValue[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_8u_AC4R (const Npp8u aValue[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_C1R_Ctx (const Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_C1R (const Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_C2R_Ctx (const Npp16u aValue[2], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_C2R (const Npp16u aValue[2], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_C3R_Ctx (const Npp16u aValue[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_C3R (const Npp16u aValue[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_C4R_Ctx (const Npp16u aValue[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_C4R (const Npp16u aValue[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_AC4R_Ctx (const Npp16u aValue[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_16u_AC4R (const Npp16u aValue[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_C1R_Ctx (const Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit image set. More...
NppStatus | nppiSet_16s_C1R (const Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_C2R_Ctx (const Npp16s aValue[2], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 16-bit image set. More...
NppStatus | nppiSet_16s_C2R (const Npp16s aValue[2], Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_C3R_Ctx (const Npp16s aValue[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit image set. More...
NppStatus | nppiSet_16s_C3R (const Npp16s aValue[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_C4R_Ctx (const Npp16s aValue[4], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit image set. More...
NppStatus | nppiSet_16s_C4R (const Npp16s aValue[4], Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_AC4R_Ctx (const Npp16s aValue[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_16s_AC4R (const Npp16s aValue[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16sc_C1R_Ctx (const Npp16sc oValue, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit complex integer image set. More...
NppStatus | nppiSet_16sc_C1R (const Npp16sc oValue, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16sc_C2R_Ctx (const Npp16sc aValue[2], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit complex integer two-channel image set. More...
NppStatus | nppiSet_16sc_C2R (const Npp16sc aValue[2], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16sc_C3R_Ctx (const Npp16sc aValue[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit complex integer three-channel image set. More...
NppStatus | nppiSet_16sc_C3R (const Npp16sc aValue[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16sc_C4R_Ctx (const Npp16sc aValue[4], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit complex integer four-channel image set. More...
NppStatus | nppiSet_16sc_C4R (const Npp16sc aValue[4], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16sc_AC4R_Ctx (const Npp16sc aValue[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit complex integer four-channel image set ignoring alpha. More...
NppStatus | nppiSet_16sc_AC4R (const Npp16sc aValue[3], Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_C1R_Ctx (const Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit image set. More...
NppStatus | nppiSet_32s_C1R (const Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_C2R_Ctx (const Npp32s aValue[2], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 32-bit image set. More...
NppStatus | nppiSet_32s_C2R (const Npp32s aValue[2], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_C3R_Ctx (const Npp32s aValue[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit image set. More...
NppStatus | nppiSet_32s_C3R (const Npp32s aValue[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_C4R_Ctx (const Npp32s aValue[4], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit image set. More...
NppStatus | nppiSet_32s_C4R (const Npp32s aValue[4], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_AC4R_Ctx (const Npp32s aValue[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_32s_AC4R (const Npp32s aValue[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32u_C1R_Ctx (const Npp32u nValue, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit unsigned image set. More...
NppStatus | nppiSet_32u_C1R (const Npp32u nValue, Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32u_C2R_Ctx (const Npp32u aValue[2], Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 32-bit unsigned image set. More...
NppStatus | nppiSet_32u_C2R (const Npp32u aValue[2], Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32u_C3R_Ctx (const Npp32u aValue[3], Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit unsigned image set. More...
NppStatus | nppiSet_32u_C3R (const Npp32u aValue[3], Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32u_C4R_Ctx (const Npp32u aValue[4], Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit unsigned image set. More...
NppStatus | nppiSet_32u_C4R (const Npp32u aValue[4], Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32u_AC4R_Ctx (const Npp32u aValue[3], Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit unsigned image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_32u_AC4R (const Npp32u aValue[3], Npp32u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32sc_C1R_Ctx (const Npp32sc oValue, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit complex integer image set. More...
NppStatus | nppiSet_32sc_C1R (const Npp32sc oValue, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32sc_C2R_Ctx (const Npp32sc aValue[2], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Two channel 32-bit complex integer image set. More...
NppStatus | nppiSet_32sc_C2R (const Npp32sc aValue[2], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32sc_C3R_Ctx (const Npp32sc aValue[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit complex integer image set. More...
NppStatus | nppiSet_32sc_C3R (const Npp32sc aValue[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32sc_C4R_Ctx (const Npp32sc aValue[4], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit complex integer image set. More...
NppStatus | nppiSet_32sc_C4R (const Npp32sc aValue[4], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32sc_AC4R_Ctx (const Npp32sc aValue[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit complex integer four-channel image set ignoring alpha. More...
NppStatus | nppiSet_32sc_AC4R (const Npp32sc aValue[3], Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16f_C1R_Ctx (const Npp32f nValue, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit floating point image set. More...
NppStatus | nppiSet_16f_C1R (const Npp32f nValue, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16f_C2R_Ctx (const Npp32f aValues[2], Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 16-bit floating point image set. More...
NppStatus | nppiSet_16f_C2R (const Npp32f aValues[2], Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16f_C3R_Ctx (const Npp32f aValues[3], Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit floating point image set. More...
NppStatus | nppiSet_16f_C3R (const Npp32f aValues[3], Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16f_C4R_Ctx (const Npp32f aValues[4], Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point image set. More...
NppStatus | nppiSet_16f_C4R (const Npp32f aValues[4], Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_C1R_Ctx (const Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit floating point image set. More...
NppStatus | nppiSet_32f_C1R (const Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_C2R_Ctx (const Npp32f aValue[2], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 32-bit floating point image set. More...
NppStatus | nppiSet_32f_C2R (const Npp32f aValue[2], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_C3R_Ctx (const Npp32f aValue[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image set. More...
NppStatus | nppiSet_32f_C3R (const Npp32f aValue[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_C4R_Ctx (const Npp32f aValue[4], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image set. More...
NppStatus | nppiSet_32f_C4R (const Npp32f aValue[4], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_AC4R_Ctx (const Npp32f aValue[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_32f_AC4R (const Npp32f aValue[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32fc_C1R_Ctx (const Npp32fc oValue, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit complex image set. More...
NppStatus | nppiSet_32fc_C1R (const Npp32fc oValue, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32fc_C2R_Ctx (const Npp32fc aValue[2], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Two channel 32-bit complex image set. More...
NppStatus | nppiSet_32fc_C2R (const Npp32fc aValue[2], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32fc_C3R_Ctx (const Npp32fc aValue[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit complex image set. More...
NppStatus | nppiSet_32fc_C3R (const Npp32fc aValue[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32fc_C4R_Ctx (const Npp32fc aValue[4], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit complex image set. More...
NppStatus | nppiSet_32fc_C4R (const Npp32fc aValue[4], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32fc_AC4R_Ctx (const Npp32fc aValue[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit complex four-channel image set ignoring alpha. More...
NppStatus | nppiSet_32fc_AC4R (const Npp32fc aValue[3], Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

Functions for setting all pixels within the ROI to a specific value.

### Common parameters for nppiSet functions include:

Parameters

  nValue | The pixel value to be set.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiSet_16f_C1R | ( | const Npp32f | nValue,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16f_C1R_Ctx | ( | const Npp32f | nValue,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16f_C2R | ( | const Npp32f | aValues[2],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16f_C2R_Ctx | ( | const Npp32f | aValues[2],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16f_C3R | ( | const Npp32f | aValues[3],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16f_C3R_Ctx | ( | const Npp32f | aValues[3],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16f_C4R | ( | const Npp32f | aValues[4],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16f_C4R_Ctx | ( | const Npp32f | aValues[4],
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16s_AC4R | ( | const Npp16s | aValue[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_AC4R_Ctx | ( | const Npp16s | aValue[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16s_C1R | ( | const Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_C1R_Ctx | ( | const Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16s_C2R | ( | const Npp16s | aValue[2],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_C2R_Ctx | ( | const Npp16s | aValue[2],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16s_C3R | ( | const Npp16s | aValue[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_C3R_Ctx | ( | const Npp16s | aValue[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16s_C4R | ( | const Npp16s | aValue[4],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_C4R_Ctx | ( | const Npp16s | aValue[4],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16sc_AC4R | ( | const Npp16sc | aValue[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16sc_AC4R_Ctx | ( | const Npp16sc | aValue[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex integer four-channel image set ignoring alpha.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16sc_C1R | ( | const Npp16sc | oValue,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16sc_C1R_Ctx | ( | const Npp16sc | oValue,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex integer image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16sc_C2R | ( | const Npp16sc | aValue[2],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16sc_C2R_Ctx | ( | const Npp16sc | aValue[2],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex integer two-channel image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16sc_C3R | ( | const Npp16sc | aValue[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16sc_C3R_Ctx | ( | const Npp16sc | aValue[3],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex integer three-channel image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16sc_C4R | ( | const Npp16sc | aValue[4],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16sc_C4R_Ctx | ( | const Npp16sc | aValue[4],
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex integer four-channel image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16u_AC4R | ( | const Npp16u | aValue[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_AC4R_Ctx | ( | const Npp16u | aValue[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16u_C1R | ( | const Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_C1R_Ctx | ( | const Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16u_C2R | ( | const Npp16u | aValue[2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_C2R_Ctx | ( | const Npp16u | aValue[2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16u_C3R | ( | const Npp16u | aValue[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_C3R_Ctx | ( | const Npp16u | aValue[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_16u_C4R | ( | const Npp16u | aValue[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_C4R_Ctx | ( | const Npp16u | aValue[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32f_AC4R | ( | const Npp32f | aValue[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_AC4R_Ctx | ( | const Npp32f | aValue[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32f_C1R | ( | const Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_C1R_Ctx | ( | const Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32f_C2R | ( | const Npp32f | aValue[2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_C2R_Ctx | ( | const Npp32f | aValue[2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32f_C3R | ( | const Npp32f | aValue[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_C3R_Ctx | ( | const Npp32f | aValue[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32f_C4R | ( | const Npp32f | aValue[4],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_C4R_Ctx | ( | const Npp32f | aValue[4],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32fc_AC4R | ( | const Npp32fc | aValue[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32fc_AC4R_Ctx | ( | const Npp32fc | aValue[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex four-channel image set ignoring alpha.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32fc_C1R | ( | const Npp32fc | oValue,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32fc_C1R_Ctx | ( | const Npp32fc | oValue,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit complex image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32fc_C2R | ( | const Npp32fc | aValue[2],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32fc_C2R_Ctx | ( | const Npp32fc | aValue[2],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two channel 32-bit complex image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32fc_C3R | ( | const Npp32fc | aValue[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32fc_C3R_Ctx | ( | const Npp32fc | aValue[3],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit complex image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32fc_C4R | ( | const Npp32fc | aValue[4],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32fc_C4R_Ctx | ( | const Npp32fc | aValue[4],
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit complex image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32s_AC4R | ( | const Npp32s | aValue[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_AC4R_Ctx | ( | const Npp32s | aValue[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32s_C1R | ( | const Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_C1R_Ctx | ( | const Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32s_C2R | ( | const Npp32s | aValue[2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_C2R_Ctx | ( | const Npp32s | aValue[2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32s_C3R | ( | const Npp32s | aValue[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_C3R_Ctx | ( | const Npp32s | aValue[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32s_C4R | ( | const Npp32s | aValue[4],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_C4R_Ctx | ( | const Npp32s | aValue[4],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32sc_AC4R | ( | const Npp32sc | aValue[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32sc_AC4R_Ctx | ( | const Npp32sc | aValue[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex integer four-channel image set ignoring alpha.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32sc_C1R | ( | const Npp32sc | oValue,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32sc_C1R_Ctx | ( | const Npp32sc | oValue,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit complex integer image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32sc_C2R | ( | const Npp32sc | aValue[2],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32sc_C2R_Ctx | ( | const Npp32sc | aValue[2],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two channel 32-bit complex integer image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32sc_C3R | ( | const Npp32sc | aValue[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32sc_C3R_Ctx | ( | const Npp32sc | aValue[3],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit complex integer image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32sc_C4R | ( | const Npp32sc | aValue[4],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32sc_C4R_Ctx | ( | const Npp32sc | aValue[4],
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit complex integer image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32u_AC4R | ( | const Npp32u | aValue[3],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32u_AC4R_Ctx | ( | const Npp32u | aValue[3],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit unsigned image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32u_C1R | ( | const Npp32u | nValue,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32u_C1R_Ctx | ( | const Npp32u | nValue,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32u_C2R | ( | const Npp32u | aValue[2],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32u_C2R_Ctx | ( | const Npp32u | aValue[2],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 32-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32u_C3R | ( | const Npp32u | aValue[3],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32u_C3R_Ctx | ( | const Npp32u | aValue[3],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_32u_C4R | ( | const Npp32u | aValue[4],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32u_C4R_Ctx | ( | const Npp32u | aValue[4],
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8s_AC4R | ( | const Npp8s | aValue[3],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8s_AC4R_Ctx | ( | const Npp8s | aValue[3],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit four-channel image set ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8s_C1R | ( | const Npp8s | nValue,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8s_C1R_Ctx | ( | const Npp8s | nValue,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8s_C2R | ( | const Npp8s | aValue[2],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8s_C2R_Ctx | ( | const Npp8s | aValue[2],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit two-channel image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8s_C3R | ( | const Npp8s | aValue[3],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8s_C3R_Ctx | ( | const Npp8s | aValue[3],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit three-channel image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8s_C4R | ( | const Npp8s | aValue[4],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8s_C4R_Ctx | ( | const Npp8s | aValue[4],
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit four-channel image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8u_AC4R | ( | const Npp8u | aValue[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_AC4R_Ctx | ( | const Npp8u | aValue[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8u_C1R | ( | const Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_C1R_Ctx | ( | const Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8u_C2R | ( | const Npp8u | aValue[2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_C2R_Ctx | ( | const Npp8u | aValue[2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8u_C3R | ( | const Npp8u | aValue[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_C3R_Ctx | ( | const Npp8u | aValue[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

NppStatus nppiSet_8u_C4R | ( | const Npp8u | aValue[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_C4R_Ctx | ( | const Npp8u | aValue[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet functions.

Copyright © 2009-2020 NVIDIA Corporation